Subject: Re: bug#79413: [PATCH] Fix path and environment in remote Python shell

From: Michael Albinus <[email-masked]>
Date: Thu, 11 Sep 2025 16:11:48 +0200

Liu Hui <[email-masked]> writes:

Hi,

> How about the following change? It doesn't change the default behavior
> and allows the caller to override tramp-local-environment-variable-p
> when necessary.

Looks OK. Pls provide a complete patch, including commit
messages. tramp-androidsu-handle-make-process in tramp-android.el must
be changed as well.

Perhaps add also a comment on top of tramp-local-environment-variable-p,
explaining the reason for this function. I'm not decided yet whether we
shall document it in the Tramp manual. If we do, we would need a more
general approach I guess.

Best regards, Michael.